
#include <avr/pgmspace.h>
#include "data.h"

// Déclarer 2 variables montée et descente pour le vérin
int tabVerin[6] = {2, 3, 4, 5, 6, 7};
int compteur;

void setup() {                
  compteur = 0;
  initialisation();
}

void loop() {
  for (int i = 0; i < nombreLigne; i++) {
    switch(pgm_read_byte(&tableau[compteur])) { // Lecture 
    case 0 : 
      verinArret(i);
      break;
    case 1 :
      verinMontee(i);
      break;
    case 2 :
      verinDescente(i);
      break;
    }
    compteur++;
  }
  delay(200);
  if (compteur == tailleTableau) {
    compteur = 0;
  }
}

void initialisation() {
  verinDescente(0);
  verinDescente(1);
  verinDescente(2);
  delay(40000);
  verinArret(0);
  verinArret(1);
  verinArret(2);
  delay(1000);
}

void verinMontee(int verin) {
  digitalWrite(tabVerin[2 * verin + 1], LOW);
  digitalWrite(tabVerin[2 * verin], HIGH);
}

void verinDescente(int verin) {
  digitalWrite(tabVerin[2 * verin], LOW);
  digitalWrite(tabVerin[2 * verin + 1], HIGH);
}

void verinArret(int verin) {
  digitalWrite(tabVerin[2 * verin], LOW);
  digitalWrite(tabVerin[2 * verin + 1], LOW);
}
